Index: t/compilers/pge/03-optable.t
===================================================================
--- t/compilers/pge/03-optable.t	(revision 14658)
+++ t/compilers/pge/03-optable.t	(working copy)
@@ -199,3 +199,10 @@
     $output .= "\n";
     pir_output_is($pir, $output, $msg, %opt);
 }
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/compilers/pge/pge_util.t
===================================================================
--- t/compilers/pge/pge_util.t	(revision 14658)
+++ t/compilers/pge/pge_util.t	(working copy)
@@ -177,3 +177,10 @@
 -a-b-racad-a-b-ra
 OUT
 
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/compilers/pge/pge_examples.t
===================================================================
--- t/compilers/pge/pge_examples.t	(revision 14658)
+++ t/compilers/pge/pge_examples.t	(working copy)
@@ -121,3 +121,10 @@
 OUT
 
 
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/compilers/pge/pge.t
===================================================================
--- t/compilers/pge/pge.t	(revision 14658)
+++ t/compilers/pge/pge.t	(working copy)
@@ -138,3 +138,10 @@
 }
 
 
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/tools/pbc_merge.t
===================================================================
--- t/tools/pbc_merge.t	(revision 14658)
+++ t/tools/pbc_merge.t	(working copy)
@@ -131,24 +131,31 @@
     pbc_merge("pbc_merge_t3", "pbc_merge_t3_1", "pbc_merge_t3_2");
     is(run_pbc("pbc_merge_t3"), "Stirb nicht vor mir");
 }
-
-# Fourth test - passing constant string arguments.
-{
-    pir_to_pbc( "pbc_merge_t4_1", <<'PIR' );
-.sub main :main
-    elephant()
-.end
-PIR
-
-    pir_to_pbc( "pbc_merge_t4_2", <<'PIR' );
-.sub elephant
-    trunk_action("spray")
-.end
-.sub trunk_action
-    .param string s
-    print s
-.end
-PIR
-    pbc_merge("pbc_merge_t4", "pbc_merge_t4_1", "pbc_merge_t4_2");
-    is(run_pbc("pbc_merge_t4"), "spray");
-}
+
+# Fourth test - passing constant string arguments.
+{
+    pir_to_pbc( "pbc_merge_t4_1", <<'PIR' );
+.sub main :main
+    elephant()
+.end
+PIR
+
+    pir_to_pbc( "pbc_merge_t4_2", <<'PIR' );
+.sub elephant
+    trunk_action("spray")
+.end
+.sub trunk_action
+    .param string s
+    print s
+.end
+PIR
+    pbc_merge("pbc_merge_t4", "pbc_merge_t4_1", "pbc_merge_t4_2");
+    is(run_pbc("pbc_merge_t4"), "spray");
+}
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/tools/pmc2c.t
===================================================================
--- t/tools/pmc2c.t	(revision 14658)
+++ t/tools/pmc2c.t	(working copy)
@@ -181,3 +181,10 @@
                     interp, pmc_id, enum_class_Integer, entry
                 );
 END_C
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/perl/Parrot_IO.t
===================================================================
--- t/perl/Parrot_IO.t	(revision 14658)
+++ t/perl/Parrot_IO.t	(working copy)
@@ -222,3 +222,10 @@
     
     return $file;
 }
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/perl/Parrot_Docs.t
===================================================================
--- t/perl/Parrot_Docs.t	(revision 14658)
+++ t/perl/Parrot_Docs.t	(working copy)
@@ -155,3 +155,10 @@
     
     return $file;
 }
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/perl/Parrot_PIR_Formatter.t
===================================================================
--- t/perl/Parrot_PIR_Formatter.t	(revision 14658)
+++ t/perl/Parrot_PIR_Formatter.t	(working copy)
@@ -258,3 +258,10 @@
 
 =cut
 
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/perl/Parrot_Distribution.t
===================================================================
--- t/perl/Parrot_Distribution.t	(revision 14658)
+++ t/perl/Parrot_Distribution.t	(working copy)
@@ -38,3 +38,10 @@
 
 ok($d->file_for_perl_module('Parrot::Docs::Section::Parrot'), 'Perl module file');
 ok( ! $d->file_for_perl_module('Parrot::Dummy'), 'Perl module file not there');
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/perl/Parrot_Test.t
===================================================================
--- t/perl/Parrot_Test.t	(revision 14658)
+++ t/perl/Parrot_Test.t	(working copy)
@@ -1,279 +1,285 @@
-#! perl
-# Copyright (C) 2001-2006, The Perl Foundation.
-# $Id$
-
-use strict;
-use warnings;
-use lib qw( . lib ../lib ../../lib );
-
-BEGIN {
-    eval "use Test::Builder::Tester;";
-    if ($@) {
-        print "1..0 # Skip Test::Builder::Tester not installed\n";
-        exit 0;
-    }
-} 
-use Test::More;
-
-
-=head1 NAME
-
-t/perl/Parrot_Test.t - Parrot::Test unit tests
-
-=head1 SYNOPSIS
-
-    % prove t/perl/Parrot_Test.t
-
-=head1 DESCRIPTION
-
-These tests cover the basic functionality of C<Parrot::Test>.
-
-=cut
-
-
-BEGIN
-{
-    my $pre_env = exists $ENV{PARROT_TEST} ? $ENV{PARROT_TEST} : undef;
-    use_ok('Parrot::Test') or die;
-
-    # XXX Shouldn't this be in an END block
-    my $post_env = exists $ENV{PARROT_TEST} ? $ENV{PARROT_TEST} : undef;
-    if ( defined $pre_env ) {
-        is( $post_env, $pre_env, 'PARROT_TEST env unchanged' );
-    } else {
-        is( $post_env, 1, 'PARROT_TEST env set' );
-    }
-}
-
-
-can_ok('Parrot::Test', $_) for qw/
-    language_output_is language_output_like language_output_isnt
-    example_output_is
-    pasm_output_is     pasm_output_like     pasm_output_isnt
-    past_output_is     past_output_like     past_output_isnt
-    pir_output_is      pir_output_like      pir_output_isnt
-    pir_2_pasm_is      pir_2_pasm_like      pir_2_pasm_isnt
-    pbc_output_is      pbc_output_like      pbc_output_isnt
-    c_output_is        c_output_like        c_output_isnt
-    plan
-    skip
-    slurp_file
-    run_command
-/;
-
-
-## TODO run_command
-
-
-## per_test
-is( Parrot::Test::per_test(), undef, 'per_test() no args' );
-is( Parrot::Test::per_test(undef, 0), undef, 'per_test() invalid first arg' );
-is( Parrot::Test::per_test(0, undef), undef, 'per_test() invalid second arg' );
-is( Parrot::Test::per_test(undef, undef), undef, 'per_test() two invalid args' );
-
-
-### TODO write_code_to_file, plan, skip, slurp_file, _generate_functions, example_output_is
-
-
-## test functions generated by Parrot::Test
-my( $desc, $err, $line );
-
-## PASM
-$desc = 'pasm_output_is: success';
-test_out "ok 1 - $desc";
-pasm_output_is <<'CODE', <<'OUTPUT', $desc;
-    print "ok\n"
-    end
-CODE
-ok
-OUTPUT
-test_test $desc;
-
-$desc = 'pasm_output_is: failure';
-$line = line_num(+11);
-test_out "not ok 1 - $desc";
-$err = <<ERR;
-#     Failed test ($0 at line $line)
-#          got: 'ok
-# '
-#     expected: 'not ok
-# '
-ERR
-chomp $err;
-test_err $err;
-pasm_output_is <<'CODE', <<"OUTPUT", $desc;
-    print "ok\n"
-    end
-CODE
-not ok
-OUTPUT
-test_test $desc;
-
-
-$desc = 'pasm_output_isnt: success';
-test_out "ok 1 - $desc";
-pasm_output_isnt <<'CODE', <<"OUTPUT", $desc;
-    print "ok\n"
-    end
-CODE
-not ok
-OUTPUT
-test_test $desc;
-
-$desc = 'pasm_output_isnt: failure';
-$line = line_num(+12);
-test_out "not ok 1 - $desc";
-$err = <<ERR;
-#     Failed test ($0 at line $line)
-#     'ok
-# '
-#         ne
-#     'ok
-# '
-ERR
-chomp $err;
-test_err $err;
-pasm_output_isnt <<'CODE', <<'OUTPUT', $desc;
-    print "ok\n"
-    end
-CODE
-ok
-OUTPUT
-test_test $desc;
-
-
-$desc = 'pasm_output_like: success';
-test_out "ok 1 - $desc";
-pasm_output_like <<'CODE', <<'OUTPUT', $desc;
-    print "ok\n"
-    end
-CODE
-/ok/
-OUTPUT
-test_test $desc;
-
-$desc = 'pasm_output_like: failure';
-$line = line_num(+11);
-test_out "not ok 1 - $desc";
-$err = <<ERR;
-#     Failed test ($0 at line $line)
-#                   'ok
-# '
-#     doesn't match '/not ok/
-# '
-ERR
-chomp $err;
-test_err $err;
-pasm_output_like <<'CODE', <<"OUTPUT", $desc;
-    print "ok\n"
-    end
-CODE
-/not ok/
-OUTPUT
-test_test $desc;
-
-
-## PIR
-$desc = 'pir_output_is: success';
-test_out "ok 1 - $desc";
-pir_output_is <<'CODE', <<'OUTPUT', $desc;
-.sub 'test' :main
-    print "ok\n"
-.end
-CODE
-ok
-OUTPUT
-test_test $desc;
-
-$desc = 'pir_output_is: failure';
-$line = line_num(+11);
-test_out "not ok 1 - $desc";
-$err = <<ERR;
-#     Failed test ($0 at line $line)
-#          got: 'ok
-# '
-#     expected: 'not ok
-# '
-ERR
-chomp $err;
-test_err $err;
-pir_output_is <<'CODE', <<"OUTPUT", $desc;
-.sub 'test' :main
-    print "ok\n"
-.end
-CODE
-not ok
-OUTPUT
-test_test $desc;
-
-
-$desc = 'pir_output_isnt: success';
-test_out "ok 1 - $desc";
-pir_output_isnt <<'CODE', <<"OUTPUT", $desc;
-.sub 'test' :main
-    print "ok\n"
-.end
-CODE
-not ok
-OUTPUT
-test_test $desc;
-
-$desc = 'pir_output_isnt: failure';
-$line = line_num(+12);
-test_out "not ok 1 - $desc";
-$err = <<ERR;
-#     Failed test ($0 at line $line)
-#     'ok
-# '
-#         ne
-#     'ok
-# '
-ERR
-chomp $err;
-test_err $err;
-pir_output_isnt <<'CODE', <<'OUTPUT', $desc;
-.sub 'test' :main
-    print "ok\n"
-.end
-CODE
-ok
-OUTPUT
-test_test $desc;
-
-
-$desc = 'pir_output_like: success';
-test_out "ok 1 - $desc";
-pir_output_like <<'CODE', <<'OUTPUT', $desc;
-.sub 'test' :main
-    print "ok\n"
-.end
-CODE
-/ok/
-OUTPUT
-test_test $desc;
-
-$desc = 'pir_output_like: failure';
-$line = line_num(+11);
-test_out "not ok 1 - $desc";
-$err = <<ERR;
-#     Failed test ($0 at line $line)
-#                   'ok
-# '
-#     doesn't match '/not ok/
-# '
-ERR
-chomp $err;
-test_err $err;
-pir_output_like <<'CODE', <<"OUTPUT", $desc;
-.sub 'test' :main
-    print "ok\n"
-.end
-CODE
-/not ok/
-OUTPUT
-test_test $desc;
-
-
-## vim: expandtab sw=4
-## remember to change the number of tests :-)
-BEGIN { plan tests => 42; }
+#! perl
+# Copyright (C) 2001-2006, The Perl Foundation.
+# $Id$
+
+use strict;
+use warnings;
+use lib qw( . lib ../lib ../../lib );
+
+BEGIN {
+    eval "use Test::Builder::Tester;";
+    if ($@) {
+        print "1..0 # Skip Test::Builder::Tester not installed\n";
+        exit 0;
+    }
+} 
+use Test::More;
+
+
+=head1 NAME
+
+t/perl/Parrot_Test.t - Parrot::Test unit tests
+
+=head1 SYNOPSIS
+
+    % prove t/perl/Parrot_Test.t
+
+=head1 DESCRIPTION
+
+These tests cover the basic functionality of C<Parrot::Test>.
+
+=cut
+
+
+BEGIN
+{
+    my $pre_env = exists $ENV{PARROT_TEST} ? $ENV{PARROT_TEST} : undef;
+    use_ok('Parrot::Test') or die;
+
+    # XXX Shouldn't this be in an END block
+    my $post_env = exists $ENV{PARROT_TEST} ? $ENV{PARROT_TEST} : undef;
+    if ( defined $pre_env ) {
+        is( $post_env, $pre_env, 'PARROT_TEST env unchanged' );
+    } else {
+        is( $post_env, 1, 'PARROT_TEST env set' );
+    }
+}
+
+
+can_ok('Parrot::Test', $_) for qw/
+    language_output_is language_output_like language_output_isnt
+    example_output_is
+    pasm_output_is     pasm_output_like     pasm_output_isnt
+    past_output_is     past_output_like     past_output_isnt
+    pir_output_is      pir_output_like      pir_output_isnt
+    pir_2_pasm_is      pir_2_pasm_like      pir_2_pasm_isnt
+    pbc_output_is      pbc_output_like      pbc_output_isnt
+    c_output_is        c_output_like        c_output_isnt
+    plan
+    skip
+    slurp_file
+    run_command
+/;
+
+
+## TODO run_command
+
+
+## per_test
+is( Parrot::Test::per_test(), undef, 'per_test() no args' );
+is( Parrot::Test::per_test(undef, 0), undef, 'per_test() invalid first arg' );
+is( Parrot::Test::per_test(0, undef), undef, 'per_test() invalid second arg' );
+is( Parrot::Test::per_test(undef, undef), undef, 'per_test() two invalid args' );
+
+
+### TODO write_code_to_file, plan, skip, slurp_file, _generate_functions, example_output_is
+
+
+## test functions generated by Parrot::Test
+my( $desc, $err, $line );
+
+## PASM
+$desc = 'pasm_output_is: success';
+test_out "ok 1 - $desc";
+pasm_output_is <<'CODE', <<'OUTPUT', $desc;
+    print "ok\n"
+    end
+CODE
+ok
+OUTPUT
+test_test $desc;
+
+$desc = 'pasm_output_is: failure';
+$line = line_num(+11);
+test_out "not ok 1 - $desc";
+$err = <<ERR;
+#     Failed test ($0 at line $line)
+#          got: 'ok
+# '
+#     expected: 'not ok
+# '
+ERR
+chomp $err;
+test_err $err;
+pasm_output_is <<'CODE', <<"OUTPUT", $desc;
+    print "ok\n"
+    end
+CODE
+not ok
+OUTPUT
+test_test $desc;
+
+
+$desc = 'pasm_output_isnt: success';
+test_out "ok 1 - $desc";
+pasm_output_isnt <<'CODE', <<"OUTPUT", $desc;
+    print "ok\n"
+    end
+CODE
+not ok
+OUTPUT
+test_test $desc;
+
+$desc = 'pasm_output_isnt: failure';
+$line = line_num(+12);
+test_out "not ok 1 - $desc";
+$err = <<ERR;
+#     Failed test ($0 at line $line)
+#     'ok
+# '
+#         ne
+#     'ok
+# '
+ERR
+chomp $err;
+test_err $err;
+pasm_output_isnt <<'CODE', <<'OUTPUT', $desc;
+    print "ok\n"
+    end
+CODE
+ok
+OUTPUT
+test_test $desc;
+
+
+$desc = 'pasm_output_like: success';
+test_out "ok 1 - $desc";
+pasm_output_like <<'CODE', <<'OUTPUT', $desc;
+    print "ok\n"
+    end
+CODE
+/ok/
+OUTPUT
+test_test $desc;
+
+$desc = 'pasm_output_like: failure';
+$line = line_num(+11);
+test_out "not ok 1 - $desc";
+$err = <<ERR;
+#     Failed test ($0 at line $line)
+#                   'ok
+# '
+#     doesn't match '/not ok/
+# '
+ERR
+chomp $err;
+test_err $err;
+pasm_output_like <<'CODE', <<"OUTPUT", $desc;
+    print "ok\n"
+    end
+CODE
+/not ok/
+OUTPUT
+test_test $desc;
+
+
+## PIR
+$desc = 'pir_output_is: success';
+test_out "ok 1 - $desc";
+pir_output_is <<'CODE', <<'OUTPUT', $desc;
+.sub 'test' :main
+    print "ok\n"
+.end
+CODE
+ok
+OUTPUT
+test_test $desc;
+
+$desc = 'pir_output_is: failure';
+$line = line_num(+11);
+test_out "not ok 1 - $desc";
+$err = <<ERR;
+#     Failed test ($0 at line $line)
+#          got: 'ok
+# '
+#     expected: 'not ok
+# '
+ERR
+chomp $err;
+test_err $err;
+pir_output_is <<'CODE', <<"OUTPUT", $desc;
+.sub 'test' :main
+    print "ok\n"
+.end
+CODE
+not ok
+OUTPUT
+test_test $desc;
+
+
+$desc = 'pir_output_isnt: success';
+test_out "ok 1 - $desc";
+pir_output_isnt <<'CODE', <<"OUTPUT", $desc;
+.sub 'test' :main
+    print "ok\n"
+.end
+CODE
+not ok
+OUTPUT
+test_test $desc;
+
+$desc = 'pir_output_isnt: failure';
+$line = line_num(+12);
+test_out "not ok 1 - $desc";
+$err = <<ERR;
+#     Failed test ($0 at line $line)
+#     'ok
+# '
+#         ne
+#     'ok
+# '
+ERR
+chomp $err;
+test_err $err;
+pir_output_isnt <<'CODE', <<'OUTPUT', $desc;
+.sub 'test' :main
+    print "ok\n"
+.end
+CODE
+ok
+OUTPUT
+test_test $desc;
+
+
+$desc = 'pir_output_like: success';
+test_out "ok 1 - $desc";
+pir_output_like <<'CODE', <<'OUTPUT', $desc;
+.sub 'test' :main
+    print "ok\n"
+.end
+CODE
+/ok/
+OUTPUT
+test_test $desc;
+
+$desc = 'pir_output_like: failure';
+$line = line_num(+11);
+test_out "not ok 1 - $desc";
+$err = <<ERR;
+#     Failed test ($0 at line $line)
+#                   'ok
+# '
+#     doesn't match '/not ok/
+# '
+ERR
+chomp $err;
+test_err $err;
+pir_output_like <<'CODE', <<"OUTPUT", $desc;
+.sub 'test' :main
+    print "ok\n"
+.end
+CODE
+/not ok/
+OUTPUT
+test_test $desc;
+
+
+## remember to change the number of tests :-)
+BEGIN { plan tests => 42; }
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/dynoplibs/dan.t
===================================================================
--- t/dynoplibs/dan.t	(revision 14658)
+++ t/dynoplibs/dan.t	(working copy)
@@ -1,97 +1,104 @@
-#! perl
-# Copyright (C) 2006, The Perl Foundation.
-# $Id$
-
-use strict;
-use warnings;
-use lib qw( . lib ../lib ../../lib );
-use Test::More;
-use Parrot::Test tests => 6;
-use Parrot::Config;
-
-
-=head1 NAME
-
-t/dynoplibs/dan.t - Test for the ops in src/dynoplibs/dan.ops
-
-=head1 SYNOPSIS
-
-	% prove t/dynoplibs/dan.t
-
-=head1 DESCRIPTION
-
-Tests the sample dynamic op library "dan".
-
-=cut
-
-
-pir_output_is(<< 'CODE', << 'OUTPUT', "mul_i_ic_nc");
-.loadlib "dan_ops"
-.sub main :main
-    mul $I1, 10, 2.5
-    print $I1
-    print "\n"
-.end
-CODE
-25
-OUTPUT
-
-pir_output_is(<< 'CODE', << 'OUTPUT', "mul_i_i_nc");
-.loadlib "dan_ops"
-.sub main :main
-	$I2 = 10
-    mul $I1, $I2, 4.2
-    print $I1
-    print "\n"
-.end
-CODE
-42
-OUTPUT
-
-pir_output_is(<< 'CODE', << 'OUTPUT', "mul_i_ic_n");
-.loadlib "dan_ops"
-.sub main :main
-	$N3 = 4.2
-    mul $I1, 10, $N3
-    print $I1
-    print "\n"
-.end
-CODE
-42
-OUTPUT
-
-pir_output_is(<< 'CODE', << 'OUTPUT', "mul_i_i_n");
-.loadlib "dan_ops"
-.sub main :main
-	$I2 = 10
-	$N3 = 4.2
-    mul $I1, $I2, $N3
-    print $I1
-    print "\n"
-.end
-CODE
-42
-OUTPUT
-
-pir_output_is(<< 'CODE', << 'OUTPUT', "mul pir syntax");
-.loadlib "dan_ops"
-.sub main :main
-	$I2 = 10
-	$N3 = 4.2
-    $I1 = mul $I2, $N3
-    print $I1
-    print "\n"
-.end
-CODE
-42
-OUTPUT
-
-pasm_output_is(<< 'CODE', << 'OUTPUT', "mul pasm syntax");
-.loadlib "dan_ops"
-    mul I0, 3, 3.9
-    print I0
-    print "\n"
-    end
-CODE
-11
-OUTPUT
+#! perl
+# Copyright (C) 2006, The Perl Foundation.
+# $Id$
+
+use strict;
+use warnings;
+use lib qw( . lib ../lib ../../lib );
+use Test::More;
+use Parrot::Test tests => 6;
+use Parrot::Config;
+
+
+=head1 NAME
+
+t/dynoplibs/dan.t - Test for the ops in src/dynoplibs/dan.ops
+
+=head1 SYNOPSIS
+
+	% prove t/dynoplibs/dan.t
+
+=head1 DESCRIPTION
+
+Tests the sample dynamic op library "dan".
+
+=cut
+
+
+pir_output_is(<< 'CODE', << 'OUTPUT', "mul_i_ic_nc");
+.loadlib "dan_ops"
+.sub main :main
+    mul $I1, 10, 2.5
+    print $I1
+    print "\n"
+.end
+CODE
+25
+OUTPUT
+
+pir_output_is(<< 'CODE', << 'OUTPUT', "mul_i_i_nc");
+.loadlib "dan_ops"
+.sub main :main
+	$I2 = 10
+    mul $I1, $I2, 4.2
+    print $I1
+    print "\n"
+.end
+CODE
+42
+OUTPUT
+
+pir_output_is(<< 'CODE', << 'OUTPUT', "mul_i_ic_n");
+.loadlib "dan_ops"
+.sub main :main
+	$N3 = 4.2
+    mul $I1, 10, $N3
+    print $I1
+    print "\n"
+.end
+CODE
+42
+OUTPUT
+
+pir_output_is(<< 'CODE', << 'OUTPUT', "mul_i_i_n");
+.loadlib "dan_ops"
+.sub main :main
+	$I2 = 10
+	$N3 = 4.2
+    mul $I1, $I2, $N3
+    print $I1
+    print "\n"
+.end
+CODE
+42
+OUTPUT
+
+pir_output_is(<< 'CODE', << 'OUTPUT', "mul pir syntax");
+.loadlib "dan_ops"
+.sub main :main
+	$I2 = 10
+	$N3 = 4.2
+    $I1 = mul $I2, $N3
+    print $I1
+    print "\n"
+.end
+CODE
+42
+OUTPUT
+
+pasm_output_is(<< 'CODE', << 'OUTPUT', "mul pasm syntax");
+.loadlib "dan_ops"
+    mul I0, 3, 3.9
+    print I0
+    print "\n"
+    end
+CODE
+11
+OUTPUT
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/dynoplibs/myops.t
===================================================================
--- t/dynoplibs/myops.t	(revision 14658)
+++ t/dynoplibs/myops.t	(working copy)
@@ -1,181 +1,188 @@
-#! perl
-# Copyright (C) 2006, The Perl Foundation.
-# $Id$
-
-use strict;
-use warnings;
-use lib qw( . lib ../lib ../../lib );
-use Test::More;
-use Parrot::Test tests => 7;
-use Parrot::Config;
-
-
-=head1 NAME
-
-t/dynoplibs/myops.t - Test for the ops in src/dynoplibs/myops.ops
-
-=head1 SYNOPSIS
-
-    % prove t/dynoplibs/myops.t
-
-=head1 DESCRIPTION
-
-Tests the sample dynamic op library "myops".
-
-=cut
-
-my $is_ms_win32 = $^O =~ m!MSWin32!;
-my $is_mingw    = $is_ms_win32 && grep { $PConfig{cc} eq $_ } qw(gcc gcc.exe);
-
-pir_output_is(<< 'CODE', << 'OUTPUT', "fortytwo");
-.loadlib "myops_ops"
-.sub main :main
-    $I0 = fortytwo
-    print $I0
-    print "\n"
-.end
-CODE
-42
-OUTPUT
-
-pir_output_is(<< 'CODE', << 'OUTPUT', "what_do_you_get_if_you_multiply_six_by_nine");
-.loadlib "myops_ops"
-.sub main :main
-    $S0 = what_do_you_get_if_you_multiply_six_by_nine
-    print $S0
-    print "\n"
-.end
-CODE
-fortytwo
-OUTPUT
-
-pir_output_like(<< 'CODE', << 'OUTPUT', "hcf");
-.loadlib "myops_ops"
-.sub main :main
-    print "neither here\n"
-    hcf
-    print "nor there\n"
-.end
-CODE
-/neither here
-(?!nor there)/
-OUTPUT
-
-{
-    my $quine = <<'END_PASM';
-.loadlib "myops_ops"
-q
-END_PASM
-    pasm_output_is( $quine, $quine, 'a short cheating quine');
-}
-
-pir_output_is(<< 'CODE', << 'OUTPUT', "one alarm");
-.loadlib "myops_ops"
-
-.sub main :main
-    find_global P0, "_alarm"
-    alarm 2.0, P0
-    set I0, 1
-loop:
-    sleep 1
-    print I0
-    print "\n"
-    inc I0
-    # check_events
-    le I0, 3, loop
-    print "done.\n"
-.end
-
-.sub _alarm
-    print "alarm\n"
-.end
-CODE
-1
-alarm
-2
-3
-done.
-OUTPUT
-
-SKIP: {
-    skip "three alarms, infinite loop under mingw32", 1 if $is_mingw;
-
-    pir_output_is(<< 'CODE', << 'OUTPUT', "three alarm");
-
-.loadlib "myops_ops"
-.sub main :main
-    find_global P0, "_alarm3"
-    alarm 3.3, 0.4, P0
-    find_global P0, "_alarm2"
-    alarm 2.2, P0
-    find_global P0, "_alarm1"
-    alarm 1.5, 2.0, P0
-    set I0, 1
-loop:
-    sleep 1
-    print I0
-    print "\n"
-    inc I0
-    # check_events
-    le I0, 5, loop
-    print "done.\n"
-.end
-
-.sub _alarm1
-    print "alarm1\n"
-.end
-
-.sub _alarm2
-    print "alarm2\n"
-.end
-
-.sub _alarm3
-    print "alarm3\n"
-.end
-
-CODE
-1
-alarm1
-2
-alarm2
-3
-alarm3
-alarm1
-alarm3
-4
-alarm3
-alarm3
-alarm3
-5
-done.
-OUTPUT
-}
-
-# bxand boolean op
-pasm_output_is(<<'CODE', <<'OUTPUT', 'bxand - A AND B, but not BOTH');
-.loadlib "myops_ops"
-
-    bxand I0, 0, 0
-    bsr test
-    bxand I0, 0, 1
-    bsr test
-    bxand I0, 1, 0
-    bsr test
-    bxand I0, 1, 1
-    bsr test
-
-    branch end
-  test:
-    eq I0, 1, T
-    print "F\n"
-    ret
-  T:print "T\n"
-    ret
-  end:
-    end
-CODE
-F
-F
-F
-F
-OUTPUT
+#! perl
+# Copyright (C) 2006, The Perl Foundation.
+# $Id$
+
+use strict;
+use warnings;
+use lib qw( . lib ../lib ../../lib );
+use Test::More;
+use Parrot::Test tests => 7;
+use Parrot::Config;
+
+
+=head1 NAME
+
+t/dynoplibs/myops.t - Test for the ops in src/dynoplibs/myops.ops
+
+=head1 SYNOPSIS
+
+    % prove t/dynoplibs/myops.t
+
+=head1 DESCRIPTION
+
+Tests the sample dynamic op library "myops".
+
+=cut
+
+my $is_ms_win32 = $^O =~ m!MSWin32!;
+my $is_mingw    = $is_ms_win32 && grep { $PConfig{cc} eq $_ } qw(gcc gcc.exe);
+
+pir_output_is(<< 'CODE', << 'OUTPUT', "fortytwo");
+.loadlib "myops_ops"
+.sub main :main
+    $I0 = fortytwo
+    print $I0
+    print "\n"
+.end
+CODE
+42
+OUTPUT
+
+pir_output_is(<< 'CODE', << 'OUTPUT', "what_do_you_get_if_you_multiply_six_by_nine");
+.loadlib "myops_ops"
+.sub main :main
+    $S0 = what_do_you_get_if_you_multiply_six_by_nine
+    print $S0
+    print "\n"
+.end
+CODE
+fortytwo
+OUTPUT
+
+pir_output_like(<< 'CODE', << 'OUTPUT', "hcf");
+.loadlib "myops_ops"
+.sub main :main
+    print "neither here\n"
+    hcf
+    print "nor there\n"
+.end
+CODE
+/neither here
+(?!nor there)/
+OUTPUT
+
+{
+    my $quine = <<'END_PASM';
+.loadlib "myops_ops"
+q
+END_PASM
+    pasm_output_is( $quine, $quine, 'a short cheating quine');
+}
+
+pir_output_is(<< 'CODE', << 'OUTPUT', "one alarm");
+.loadlib "myops_ops"
+
+.sub main :main
+    find_global P0, "_alarm"
+    alarm 2.0, P0
+    set I0, 1
+loop:
+    sleep 1
+    print I0
+    print "\n"
+    inc I0
+    # check_events
+    le I0, 3, loop
+    print "done.\n"
+.end
+
+.sub _alarm
+    print "alarm\n"
+.end
+CODE
+1
+alarm
+2
+3
+done.
+OUTPUT
+
+SKIP: {
+    skip "three alarms, infinite loop under mingw32", 1 if $is_mingw;
+
+    pir_output_is(<< 'CODE', << 'OUTPUT', "three alarm");
+
+.loadlib "myops_ops"
+.sub main :main
+    find_global P0, "_alarm3"
+    alarm 3.3, 0.4, P0
+    find_global P0, "_alarm2"
+    alarm 2.2, P0
+    find_global P0, "_alarm1"
+    alarm 1.5, 2.0, P0
+    set I0, 1
+loop:
+    sleep 1
+    print I0
+    print "\n"
+    inc I0
+    # check_events
+    le I0, 5, loop
+    print "done.\n"
+.end
+
+.sub _alarm1
+    print "alarm1\n"
+.end
+
+.sub _alarm2
+    print "alarm2\n"
+.end
+
+.sub _alarm3
+    print "alarm3\n"
+.end
+
+CODE
+1
+alarm1
+2
+alarm2
+3
+alarm3
+alarm1
+alarm3
+4
+alarm3
+alarm3
+alarm3
+5
+done.
+OUTPUT
+}
+
+# bxand boolean op
+pasm_output_is(<<'CODE', <<'OUTPUT', 'bxand - A AND B, but not BOTH');
+.loadlib "myops_ops"
+
+    bxand I0, 0, 0
+    bsr test
+    bxand I0, 0, 1
+    bsr test
+    bxand I0, 1, 0
+    bsr test
+    bxand I0, 1, 1
+    bsr test
+
+    branch end
+  test:
+    eq I0, 1, T
+    print "F\n"
+    ret
+  T:print "T\n"
+    ret
+  end:
+    end
+CODE
+F
+F
+F
+F
+OUTPUT
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/stm/basic.t
===================================================================
--- t/stm/basic.t	(revision 14658)
+++ t/stm/basic.t	(working copy)
@@ -356,3 +356,10 @@
 CODE
 done
 OUTPUT
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/stm/basic_mt.t
===================================================================
--- t/stm/basic_mt.t	(revision 14658)
+++ t/stm/basic_mt.t	(working copy)
@@ -271,3 +271,10 @@
 CODE
 okay
 OUTPUT
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/stm/runtime.t
===================================================================
--- t/stm/runtime.t	(revision 14658)
+++ t/stm/runtime.t	(working copy)
@@ -610,3 +610,10 @@
 OUTPUT
 
 
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/stm/queue.t
===================================================================
--- t/stm/queue.t	(revision 14658)
+++ t/stm/queue.t	(working copy)
@@ -480,3 +480,10 @@
 got 9
 OUTPUT
 }
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/stm/llqueue.t
===================================================================
--- t/stm/llqueue.t	(revision 14658)
+++ t/stm/llqueue.t	(working copy)
@@ -302,3 +302,10 @@
     $P2 = $P1(_remove_tail, self)
     .return ($P2)
 .end
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/distro/manifest.t
===================================================================
--- t/distro/manifest.t	(revision 14658)
+++ t/distro/manifest.t	(working copy)
@@ -44,3 +44,10 @@
 
 # remember to change the number of tests :-)
 BEGIN { plan tests => 3; }
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/distro/test_file_coverage.t
===================================================================
--- t/distro/test_file_coverage.t	(revision 14658)
+++ t/distro/test_file_coverage.t	(working copy)
@@ -99,3 +99,10 @@
             [ sort grep { $elem{$_} > 0 } keys %elem ],
            );
 }
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/distro/manifest_skip.t
===================================================================
--- t/distro/manifest_skip.t	(revision 14658)
+++ t/distro/manifest_skip.t	(working copy)
@@ -80,3 +80,10 @@
 	     [ sort grep { $elem{$_} > 0 } keys %elem ] );
 }
 
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/run/exit.t
===================================================================
--- t/run/exit.t	(revision 14658)
+++ t/run/exit.t	(working copy)
@@ -65,3 +65,10 @@
 close OLDOUT or die qq|Cannot close OLDOUT: $!|;
 close OLDERR or die qq|Cannot close OLDERR: $!|;
 
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/doc/pod.t
===================================================================
--- t/doc/pod.t	(revision 14658)
+++ t/doc/pod.t	(working copy)
@@ -60,3 +60,10 @@
 
 plan tests => scalar @docs;
 Test::Pod::pod_file_ok( $_ ) foreach @docs;
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/doc/opcode-doc.t
===================================================================
--- t/doc/opcode-doc.t	(revision 14658)
+++ t/doc/opcode-doc.t	(working copy)
@@ -89,3 +89,10 @@
 }
 
 ok(!@docerr, 'opcode documentation') or diag("Opcode documentation errors:\n@docerr");
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/native_pbc/number.t
===================================================================
--- t/native_pbc/number.t	(revision 14658)
+++ t/native_pbc/number.t	(working copy)
@@ -95,3 +95,10 @@
 # pbc_output_is(undef, <<OUTPUT, "PPC double float 32 bit BE opcode_t");
 # pbc_output_is(undef, <<OUTPUT, "little-endian 64-bit tru64");
 # pbc_output_is(undef, <<OUTPUT, "big-endian 64-bit irix");
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/native_pbc/header.t
===================================================================
--- t/native_pbc/header.t	(revision 14658)
+++ t/native_pbc/header.t	(working copy)
@@ -63,3 +63,10 @@
     ok($h{floattype} < 2, "floattype");
     is($h{padding}, pack "x8", "NULL padding");
 }
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/native_pbc/integer.t
===================================================================
--- t/native_pbc/integer.t	(revision 14658)
+++ t/native_pbc/integer.t	(working copy)
@@ -63,3 +63,10 @@
 # pasm_output_is(undef, '270544960', "PPC BE 32 bit opcode_t, 32 bit intval");
 # pasm_output_is(undef, '270544960', "little-endian 64-bit tru64");
 # pasm_output_is(undef, '270544960', "big-endian 64-bit irix");
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/native_pbc/string.t
===================================================================
--- t/native_pbc/string.t	(revision 14658)
+++ t/native_pbc/string.t	(working copy)
@@ -57,3 +57,10 @@
 pbc_output_is( undef, $output, "i386 32 bit opcode_t, 32 bit intval");
 
 }
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/op/01-parse_ops.t
===================================================================
--- t/op/01-parse_ops.t	(revision 14658)
+++ t/op/01-parse_ops.t	(working copy)
@@ -75,4 +75,10 @@
     );
 }
 
-## vim: expandtab sw=4
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/examples/pasm.t
===================================================================
--- t/examples/pasm.t	(revision 14658)
+++ t/examples/pasm.t	(working copy)
@@ -102,3 +102,10 @@
   local $TODO = 'nanoforth2.pasm not testable yet';
   fail( 'nanoforth2.pasm' );
 };
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
